package com.ruoyi.common.third.enums;

public enum EncryptExceptionEnum {
	ENCRYPT_IOEXCEPTION(900,"加密组件，发生io异常"),
	ENCRYPT_KEY_NULL(901,"加密组件，密钥为空"),
	ENCRYPT_SIGN_EXCEPTION(902,"加密组件，发生签名失败异常");
	private Integer exceptionCode;
	private String message;

	EncryptExceptionEnum(Integer exceptionCode, String message) {
		this.exceptionCode = exceptionCode;
		this.message = message;
	}

	EncryptExceptionEnum() {
	}



	public Integer getExceptionCode() {
		return exceptionCode;
	}

	public void setExceptionCode(Integer exceptionCode) {
		this.exceptionCode = exceptionCode;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}
}
